Subject: Re: [GSoC idea] Resumable clone

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Mar 2015 15:47:27 -0800

Koosha Khajehmoogahi <[email-masked]> writes:

> Among GSoC 2011 ideas of git [1], it was proposed that a GSoC project
> could be implementing resumable clone for git. AFAIK, this feature is
> still missing in git but could be a great idea to be implemented. Does
> that sound OK to the community?
>
> [1]: https://git.wiki.kernel.org/index.php/SoC2011Ideas#Resumable_clone

Depends on how it will be implemented, I guess.

I highly suspect that it would not fly well if it is added as a part
of the current protocol, as people are actively discussing how to
revamp it.  And I have a feeling that the v2 protocol would not
ready for a student to build upon by this summer.